# ClassRegLogGetClass

This function returns the class corresponding to a given cookie.

### Synopsis

    #include "petsc.h"
    PetscErrorCode ClassRegLogGetClass(ClassRegLog classLog, PetscCookie cookie, int *oclass)

Not Collective

### Input Parameters

| classLog | - The ClassRegLog
| cookie | - The cookie

### Output Parameter

oclass -The class id

### Keywords

log, class, register

### See Also

PetscLogClassRegister(), PetscLogObjCreateDefault(), PetscLogObjDestroyDefault()

Level:developer
Location: src/sys/plog/utils/classLog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages